Pagine di stato
GET https://uptime4.com/api/status-pages/
curl --request GET \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name. |
| is_enabled | Facoltativo Boolean | |
| project_id | Facoltativo Intero | |
| domain_id | Facoltativo Intero | |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: status_page_id, datetime, last_datetime, name, pageviews. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-31 01:20:54",
"last_datetime": "2026-07-31 01:20:54"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/status-pages?page=1",
"last": "https://uptime4.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/status-pages?page=1"
}
}
GET https://uptime4.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": "",
"opengraph_url": "",
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-31 01:20:54",
"last_datetime": "2026-07-31 01:20:54"
}
}
POST https://uptime4.com/api/status-pages
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Richiesto String | - |
| description | Facoltativo String | - |
| url | Facoltativo String | - |
| domain_id | Facoltativo Intero | - |
| is_main_status_page | Facoltativo Boolean | - |
| monitors_ids | Facoltativo Array | - |
| heartbeats_ids | Facoltativo Array | - |
curl --request POST \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
--url 'https://uptime4.com/api/status-pages' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'description=This is just a simple description.' \
--form 'monitors_ids[]=1' \
--form 'heartbeats_ids[]=1' \
{
"data": {
"id": 1
}
}
POST https://uptime4.com/api/status-pages/{status_page_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Facoltativo String | - |
| description | Facoltativo String | - |
| url | Facoltativo String | - |
| timezone | Facoltativo String | - |
| password | Facoltativo String | - |
| title | Facoltativo String | - |
| meta_description | Facoltativo String | - |
| meta_keywords | Facoltativo String | - |
| language_code | Facoltativo String | - |
| font_family | Facoltativo String | - |
| theme | Facoltativo String | - |
| custom_css | Facoltativo String | - |
| custom_js | Facoltativo String | - |
| domain_id | Facoltativo Intero | - |
| is_main_status_page | Facoltativo Boolean | - |
| project_id | Facoltativo Intero | - |
| font_size | Facoltativo Intero | - |
| auto_refresh | Facoltativo Intero | - |
| pwa_display_install_bar_delay | Facoltativo Intero | - |
| monitors_ids | Facoltativo Array | - |
| heartbeats_ids | Facoltativo Array | - |
| socials | Facoltativo Array | Valori consentiti: socials[facebook], socials[instagram], socials[x], socials[threads], socials[email], socials[website] |
| is_enabled | Facoltativo Boolean | - |
| is_se_visible | Facoltativo Boolean | - |
| is_removed_branding | Facoltativo Boolean | - |
| display_share_buttons | Facoltativo Boolean | - |
| display_header_text | Facoltativo Boolean | - |
| pwa_is_enabled | Facoltativo Boolean | - |
| pwa_display_install_bar | Facoltativo Boolean | - |
| logo | Facoltativo File | - |
| logo_remove | Facoltativo Boolean | - |
| favicon | Facoltativo File | - |
| favicon_remove | Facoltativo Boolean | - |
| opengraph | Facoltativo File | - |
| opengraph_remove | Facoltativo Boolean | - |
| pwa_icon | Facoltativo File | - |
| pwa_icon_remove | Facoltativo Boolean | - |
| pwa_theme_color | Facoltativo String | - |
curl --request POST \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://uptime4.com/api/status-pages/{status_page_id}
curl --request DELETE \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"heartbeats_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"settings": {
"title": "Example",
"meta_description": "",
"meta_keywords": "",
"language_code": "en",
"font_family": "default",
"font_size": 16,
"display_share_buttons": true,
"display_header_text": true,
"auto_refresh": 0,
"pwa_file_name": null,
"pwa_is_enabled": false,
"pwa_icon": null,
"pwa_display_install_bar": false,
"pwa_display_install_bar_delay": 3,
"pwa_theme_color": "#000000"
},
"socials": {
"facebook": "",
"instagram": "",
"x": "",
"threads": "",
"email": "",
"website": ""
},
"logo_url": null,
"favicon_url": null,
"opengraph_url": null,
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 0,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-07-31 01:20:54",
"last_datetime": "2026-07-31 01:20:54"
}
}